import { createApp } from 'vue';
import pinia from '/@/stores/index';
import App from '/@/App.vue';
import router from '/@/router';
import { directive } from '/@/directive/index';
import other from '/@/utils/other';

import ElementPlus from 'element-plus';
import '/@/theme/index.scss';

import DataVVue3 from '@kjgl77/datav-vue3'

const app = createApp(App)

app.use(DataVVue3)

import method from "/@/method/index"
app.config.globalProperties.$method = method



directive(app);
other.elSvg(app);

app.use(pinia).use(router).use(ElementPlus)

app.mount('#app');
